#include"area.hpp"




namespace oat{


Area::
Area(int  w, int  h):
Widget(WID_area)
{
  parameter.x_base = 0;
  parameter.y_base = 0;

  widget_parameter.width  = w;
  widget_parameter.height = h;
}




void      Area::set_enter_callback(Callback  _cb){enter_cb = _cb;}
void      Area::set_leave_callback(Callback  _cb){leave_cb = _cb;}
void  Area::set_everytime_callback(Callback  _cb){everytime_cb = _cb;}
void       Area::set_draw_callback(Callback  _cb){draw_cb = _cb;}
void  Area::set_callback(MouseCallback  _cb){mouse_cb = _cb;}

const Area::Parameter*  Area::operator->() const{return &parameter;}

void
Area::
set_base(int  x, int  y)
{
  parameter.x_base = x;
  parameter.y_base = y;
}


void  Area::                draw(){if( draw_cb){draw_cb(*this);}}
void  Area::process(Mouse&  mouse){if(mouse_cb){mouse_cb(*this,mouse);}}


void  Area::do_on_enter(){if(enter_cb){enter_cb(*this);}}
void  Area::do_on_leave(){if(leave_cb){leave_cb(*this);}}
void  Area::do_on_evrytime(){if(everytime_cb){everytime_cb(*this);}}



}




