#ifndef OAT_CONTEXT_HPP
#define OAT_CONTEXT_HPP


#include"root.hpp"
#include"mouse.hpp"


namespace oat{
namespace context{


void  insert(Root*  root);

Root&  get_current_root();

constexpr uint32_t  format_code = SDL_PIXELFORMAT_ARGB8888;

extern SDL_Surface*  screen;

extern uint8_t*  pixels;
extern int        pitch;

void  button(const SDL_MouseButtonEvent&  evt);
void  motion(const SDL_MouseMotionEvent&  evt);

void    keyup(SDL_Keycode  key);
void  keydown(SDL_Keycode  key);

void  drop(char*  s);

void  update();

bool  process_event();


}}




#endif




