#include"dottle.hpp"




Brush::
Brush()
{
  x_base   = 0;
  y_base   = 0;
  x_offset = 0;
  y_offset = 0;
}




void  Brush::set_x_offset(int  n){x_offset = n;}
void  Brush::set_y_offset(int  n){y_offset = n;}


void  Brush::set_x_base(int  n){x_base = n;}
void  Brush::set_y_base(int  n){y_base = n;}


int  Brush::get_x() const{return x_base+x_offset;}
int  Brush::get_y() const{return y_base+y_offset;}

int  Brush::get_x_base() const{return x_base;}
int  Brush::get_y_base() const{return y_base;}

int  Brush::get_x_offset() const{return x_offset;}
int  Brush::get_y_offset() const{return y_offset;}


void
Brush::
fix_x_base()
{
    if(x_base < 0)
    {
      x_base = 0;
    }

  else
    if(x_base > (Paper::size-view.get_col_number()))
    {
      x_base = (Paper::size-view.get_col_number());
    }
}


void
Brush::
fix_y_base()
{
    if(y_base < 0)
    {
      y_base = 0;
    }

  else
    if(y_base > (Paper::size-view.get_row_number()))
    {
      y_base = (Paper::size-view.get_row_number());
    }
}




void
Brush::
fix_x_offset()
{
    if(x_offset < 0)
    {
      x_offset = 0;
    }

  else
    if(x_offset >= view.get_col_number())
    {
      x_offset = (view.get_col_number()-1);
    }
}


void
Brush::
fix_y_offset()
{
    if(y_offset < 0)
    {
      y_offset = 0;
    }

  else
    if(y_offset >= view.get_row_number())
    {
      y_offset = (view.get_row_number()-1);
    }
}




