#include"chunk.hpp"




Chunk::
Chunk(int  _w, int  _h):
pixels(_w*_h),
w(_w),
h(_h)
{
}


Chunk::
Chunk(Chunk&&  rhs)
{
  swap(rhs);
}




void
Chunk::
operator=(Chunk&&  rhs)
{
  swap(rhs);
}


void
Chunk::
swap(Chunk&  rhs)
{
  std::swap(pixels,rhs.pixels);

  std::swap(w,rhs.w);
  std::swap(h,rhs.h);
}


int  Chunk::get_w() const{return w;}
int  Chunk::get_h() const{return h;}

void          Chunk::put(int  x, int  y, Pixel  pixel)      {       pixels[(w*y)+x] = pixel;}
const Pixel&  Chunk::get(int  x, int  y              ) const{return pixels[(w*y)+x]        ;}




