#ifndef _CHUNK_
#define _CHUNK_


#include"pixel.hpp"
#include<vector>




class
Chunk
{
  std::vector<Pixel>  pixels;

  int  w;
  int  h;

public:
  Chunk(int  _w=0, int  _h=0);
  Chunk(Chunk&&  rhs);


  void  operator=(Chunk&&  rhs);
  void  swap(Chunk&  rhs);

  int  get_w() const;
  int  get_h() const;

  void          put(int  x, int  y, Pixel  pixel)      ;
  const Pixel&  get(int  x, int  y              ) const;
  
};


#endif




