#include"dottle.hpp"




View        view;
Brush      brush;
Frame      frame;
Palette  palette;
Paper      paper;


Widget*
create_united_widget()
{
  view.widgets.initialize();
  palette.widgets.initialize();
  brush.widgets.initialize();
  frame.widgets.initialize();


  auto  node = new Node;

  auto  leftest = new TableColumn;


  leftest->insert(create_paint_mode_widget());
  leftest->insert(    create_mirror_widget());
  leftest->insert(   create_reverse_widget());
  leftest->insert(   create_revolve_widget());
  leftest->insert(   create_lrshift_widget());
  leftest->insert(   create_udshift_widget());
  leftest->insert(create_undo_widget());
  leftest->insert(create_grid_widget());
  leftest->insert(create_copy_widget());

  node->insert(leftest);


  node->insert(view.widgets.drawing_area,150,  0);
  node->insert( view.widgets.moving_area,160,330);


  node->insert(view.widgets.zoom_widget,260,330);

  node->insert(palette.widgets.node,520,0);

  node->insert(brush.widgets.label,0,420);
  node->insert(frame.widgets.label,0,436);


  node->insert(create_io_widget(),600,380);


  return node;
}





