#include"dottle.hpp"




namespace{


PaintMode  paint_mode = PAI_draw_point;


void
change_mode(CheckBox&  chkbox, uint32_t  newval, uint32_t  opldval)
{
  frame.reset();

  paper.restore_backups();

  set_paint_mode((PaintMode)newval);

  view.set_framing(newval == PAI_set_frame);

  view.widgets.update();
}


}


PaintMode  get_paint_mode(               ){return paint_mode;}
void       set_paint_mode(PaintMode  mode){paint_mode = mode;}


Widget*
create_paint_mode_widget()
{
  auto  box = new RadioBox;

  box->push(nullptr,u"点を打つ");
  box->push(nullptr,u"線を引く");
  box->push(nullptr,u"円を描く");
  box->push(nullptr,u"矩形を描く");
  box->push(nullptr,u"矩形を塗る");
  box->push(nullptr,u"領域を塗る");
  box->push(nullptr,u"コピーを置く");
  box->push(nullptr,u"選択");


  box->set_callback(change_mode);
  
  return box;
}




