#ifndef _FRAME_
#define _FRAME_


#include"palette.hpp"
#include"paper.hpp"




class
Frame
{
public:
  enum Phase{
    PH_first,
    PH_second,
  };


private:
  TwoPoints  points;

  Phase  phase;

public:
  Frame();


  const TwoPoints&  get_two_points();

  void  reset();

  void  set(int  x, int  y);

  Phase  get_phase() const;

  struct Widgets
  {
    Label*  label;

    void  initialize();

    void  update_label();

  } widgets;


};




#endif




