#include"dottle.hpp"




namespace{


const char*
unknown_text = "Frame(X: XXXX, Y: XXXX, W: XXXX, H: XXXX)";


}


void
Frame::Widgets::
initialize()
{
  label = new Label(to_u16string(unknown_text));
}




void
Frame::Widgets::
update_label()
{
    if(frame.get_phase() == PH_second)
    {
      auto  rect = make_rect(frame.get_two_points());

      label->printf("Frame(X: %4d, Y: %4d, W: %4d, H: %4d)",
        rect.x,rect.y,rect.w,rect.h);
    }

  else
    {
      label->printf(unknown_text);
    }
}




