#include"pixel.hpp"
#include"dottle.hpp"




bool
Pixel::
operator==(const Pixel&  rhs) const
{
  return(data == rhs.data);
}


bool
Pixel::
operator!=(const Pixel&  rhs) const
{
  return(data != rhs.data);
}


void
Pixel::
reset_light_level(int  l)
{
  data &= 0x0F;
  data |= l<<4;
}


void
Pixel::
reset_color_index(int  i)
{
  data &= 0xF0;
  data |=    i;
}


oat::Color
Pixel::
get_base_color() const
{
  return palette.colors[get_color_index()].base_color;
}


oat::Color
Pixel::
get_lighted_color() const
{
  auto&  jiscolor = palette.get_index_color(get_color_index());

  return jiscolor.lighted_colors[get_light_level()];
}




