#ifndef _VIEW_
#define _VIEW_




#include"../oat.hpp"


class
View
{
  int  pixel_size;
  int  zoom_value;

  int  col_number;
  int  row_number;

  int  framing_flag;

  TwoPoints  frame_points;

  void  reset_parameter();

public:
  enum{
    size = 320,

    reduce_value = 4,

    zoom_min = 100,
    zoom_max = 800,

  };


  View();

  int  get_pixel_size() const;

  int  get_col_number() const;
  int  get_row_number() const;

  void  set_zoom_value(int  v);

  void  operate(Paper::FrameFunction  fn);

  void   set_framing(bool  v)      ;
  bool  test_framing(       ) const;

  struct Widgets
  {
    int  pad_w;
    int  pad_h;

    Area*   drawing_area;
    Area*    moving_area;
    Node*    zoom_widget;


    void  initialize();

    void  update();

  } widgets;

};




#endif




