#include"dom.hpp"




namespace dom{




Element::
Element(Element*  _parent, const std::string&  name):
parent(_parent),
element_name(name)
{
}




ElementMap::
ElementMap(Element&  _parent):
parent(_parent)
{
}


Element&
ElementMap::
operator[](const std::string&  name)
{
  auto&  v = members[name];

    if(!v)
    {
      v = new Element(&parent,name);
    }


  return *v;
}


ElementMap&
Element::
operator[](const std::string&  name)
{
  auto&  v = children[name];

    if(!v)
    {
      v = new ElementMap(*this);
    }


  return *v;
}




}




