#ifndef _BRUSH_
#define _BRUSH_


#include"palette.hpp"
#include"paper.hpp"




class
Brush
{
  int  x_base;
  int  y_base;
  int  y_offset;
  int  x_offset;

public:
  Brush();


  int  get_x() const;
  int  get_y() const;

  int  get_x_offset() const;
  int  get_y_offset() const;

  int  get_x_base() const;
  int  get_y_base() const;

  void  set_x_base(int  n);
  void  set_y_base(int  n);

  void  set_x_offset(int  n);
  void  set_y_offset(int  n);

  void  fix_x_base();
  void  fix_y_base();

  void  fix_x_offset();
  void  fix_y_offset();

  struct Widgets
  {
    Label*  label;

    void  initialize();

    void  update_label();

  } widgets;


};




#endif




