#include"dottle.hpp"




Frame::
Frame()
{
  reset();
}




const TwoPoints&
Frame::
get_two_points()
{
  static TwoPoints  tmp;

    if(phase == PH_first)
    {
      tmp.x0 = 0;
      tmp.y0 = 0;
      tmp.x1 = Paper::size;
      tmp.y1 = Paper::size;

      return tmp;
    }


  return points;
}




void
Frame::
reset()
{
  phase = PH_first;
}


void
Frame::
set(int  x, int  y)
{
    switch(phase)
    {
      case(PH_first):
        points.x0 = x;
        points.y0 = y;
        points.x1 = x;
        points.y1 = y;

        phase = PH_second;
        break;
      case(PH_second):
        points.x1 = x;
        points.y1 = y;
        break;
    }
}


Frame::Phase
Frame::
get_phase() const
{
  return phase;
}




