#include"jiscolor.hpp"




namespace{


uint8_t
get_l8(int  l)
{
  return((l <=   0)?   0:
         (l >= 255)? 255:l);
}


void
set_color(uint32_t&  dst, uint8_t  r, uint8_t  g, uint8_t  b, uint8_t  light)
{
  uint8_t  l[7] = {0, 31,95, 127, 159,191, 255};

  r = get_l8((r-127)+l[light]);
  g = get_l8((g-127)+l[light]);
  b = get_l8((b-127)+l[light]);

  dst = SDL_MapRGB(common_format,r,g,b);
}


}


JisColor::
JisColor(const char16_t*  _name, uint8_t  r, uint8_t  g, uint8_t  b):
name(_name)
{
  base_color = SDL_MapRGB(common_format,r,g,b);

    for(int  i = 0;  i < 7;  ++i)
    {
      set_color(lighted_colors[i],r,g,b,i);
    }
}




