#include"dottle.hpp"




Palette::
Palette()
{
   left_index = 0;
  light_index = 0;

  right_index_offset = 0;
  right_index_base   = 0;

  std::memset(color_index_table,0,sizeof(color_index_table));
}




int   Palette::get_light_index(      ) const{return light_index;}
void  Palette::set_light_index(int  i)      {light_index = i;}

int   Palette::get_right_index(           ) const{return right_index_base+right_index_offset;}
int   Palette::get_right_index_base(      ) const{return right_index_base;}
void  Palette::set_right_index_base(int  i)      {right_index_base = i;}

int   Palette::get_right_index_offset(      ) const{return right_index_offset;}
void  Palette::set_right_index_offset(int  i)      {right_index_offset = i;}

int   Palette::get_left_index(      ) const{return left_index;}
void  Palette::set_left_index(int  i)      {left_index = i;}


Pixel
Palette::
make_pixel() const
{
  return Pixel(light_index,left_index);
}




