#include"dottle.hpp"




void
Palette::
reset_colors()
{
//めざら資源 JIS規格・物体色の色名とRGB数値についての覚書 http://homepage3.nifty.com/mezala/pc/jiscolor/jiscolor.html から
  colors.clear();

  colors.emplace_back(u"なし",0x00,0x00,0x00);
  colors.emplace_back(u"鴇色",0xF5,0xC9,0xC6);
  colors.emplace_back(u"躑躅色",0xEF,0x5B,0x9C);
  colors.emplace_back(u"桜色",0xFE,0xEE,0xED);
  colors.emplace_back(u"薔薇色",0xF0,0x56,0x6E);
  colors.emplace_back(u"韓紅",0xF1,0x5B,0x6C);
  colors.emplace_back(u"珊瑚色",0xF8,0xA7,0xA0);
  colors.emplace_back(u"紅梅色",0xF6,0x9C,0x9F);
  colors.emplace_back(u"桃色",0xF5,0x8F,0x98);
  colors.emplace_back(u"紅色",0xD7,0x13,0x45);
  colors.emplace_back(u"紅赤",0xD9,0x3A,0x49);
  colors.emplace_back(u"臙脂",0xB3,0x42,0x4A);
  colors.emplace_back(u"蘇芳",0x97,0x3C,0x3F);
  colors.emplace_back(u"茜色",0xB2,0x2D,0x35);
  colors.emplace_back(u"赤",0xED,0x1A,0x3D);
  colors.emplace_back(u"朱色",0xF0,0x4E,0x23);
  colors.emplace_back(u"紅樺色",0xB4,0x53,0x4B);
  colors.emplace_back(u"紅緋",0xEF,0x41,0x36);
  colors.emplace_back(u"鉛丹色",0xE6,0x6B,0x58);
  colors.emplace_back(u"紅海老茶",0x96,0x35,0x31);
  colors.emplace_back(u"鳶色",0x85,0x40,0x3A);
  colors.emplace_back(u"小豆色",0x98,0x51,0x4B);
  colors.emplace_back(u"弁柄色",0x89,0x2F,0x1B);
  colors.emplace_back(u"海老茶",0x7C,0x40,0x36);
  colors.emplace_back(u"金赤",0xEF,0x41,0x23);
  colors.emplace_back(u"赤茶",0xB4,0x53,0x3C);
  colors.emplace_back(u"赤錆色",0x84,0x33,0x1F);
  colors.emplace_back(u"黄丹",0xF4,0x7A,0x55);
  colors.emplace_back(u"赤橙",0xF1,0x5A,0x22);
  colors.emplace_back(u"柿色",0xF3,0x70,0x4B);
  colors.emplace_back(u"肉桂色",0xDA,0x76,0x5B);
  colors.emplace_back(u"樺色",0xAE,0x50,0x39);
  colors.emplace_back(u"煉瓦色",0xAE,0x50,0x39);
  colors.emplace_back(u"錆色",0x6A,0x34,0x27);
  colors.emplace_back(u"檜皮色",0x8F,0x4B,0x38);
  colors.emplace_back(u"栗色",0x72,0x2F,0x10);
  colors.emplace_back(u"黄赤",0xF3,0x6C,0x21);
  colors.emplace_back(u"代赭",0xB4,0x53,0x2A);
  colors.emplace_back(u"駱駝色",0xB7,0x70,0x4F);
  colors.emplace_back(u"黄茶",0xDE,0x77,0x3F);
  colors.emplace_back(u"肌色",0xFE,0xDC,0xBD);
  colors.emplace_back(u"橙色",0xF5,0x82,0x20);
  colors.emplace_back(u"灰茶",0x90,0x5C,0x40);
  colors.emplace_back(u"茶色",0x86,0x4A,0x2B);
  colors.emplace_back(u"焦茶",0x6B,0x49,0x3D);
  colors.emplace_back(u"柑子色",0xFA,0xA7,0x55);
  colors.emplace_back(u"杏色",0xFA,0xB2,0x7B);
  colors.emplace_back(u"蜜柑色",0xF6,0x8B,0x1F);
  colors.emplace_back(u"褐色",0x84,0x39,0x00);
  colors.emplace_back(u"土色",0xB4,0x71,0x42);
  colors.emplace_back(u"小麦色",0xE1,0x96,0x61);
  colors.emplace_back(u"琥珀色",0xB7,0x6F,0x3B);
  colors.emplace_back(u"金茶",0xE0,0x86,0x1A);
  colors.emplace_back(u"卵色",0xFF,0xCE,0x7B);
  colors.emplace_back(u"山吹色",0xFC,0xAF,0x17);
  colors.emplace_back(u"黄土色",0xBA,0x84,0x48);
  colors.emplace_back(u"朽葉色",0x89,0x6A,0x45);
  colors.emplace_back(u"向日葵色",0xFF,0xC2,0x0E);
  colors.emplace_back(u"鬱金色",0xFD,0xB9,0x33);
  colors.emplace_back(u"砂色",0xD3,0xC6,0xA6);
  colors.emplace_back(u"芥子色",0xC9,0xAB,0x53);
  colors.emplace_back(u"黄",0xFF,0xD4,0x00);
  colors.emplace_back(u"蒲公英色",0xFF,0xD4,0x00);
  colors.emplace_back(u"鶯茶",0x6D,0x58,0x26);
  colors.emplace_back(u"中黄",0xFF,0xE5,0x00);
  colors.emplace_back(u"刈安色",0xF0,0xDC,0x70);
  colors.emplace_back(u"黄檗色",0xFC,0xF1,0x6E);
  colors.emplace_back(u"海松色",0x6E,0x6B,0x41);
  colors.emplace_back(u"鶸色",0xCB,0xC5,0x47);
  colors.emplace_back(u"鶯色",0x91,0x8D,0x40);
  colors.emplace_back(u"抹茶色",0xB7,0xBA,0x6B);
  colors.emplace_back(u"黄緑",0xB2,0xD2,0x35);
  colors.emplace_back(u"苔色",0x63,0x82,0x2D);
  colors.emplace_back(u"若草色",0xC3,0xD9,0x41);
  colors.emplace_back(u"萌黄",0xA9,0xD1,0x59);
  colors.emplace_back(u"草色",0x6D,0x83,0x46);
  colors.emplace_back(u"若葉色",0xAB,0xC8,0x8B);
  colors.emplace_back(u"松葉色",0x74,0x90,0x5D);
  colors.emplace_back(u"白緑",0xCD,0xE6,0xC7);
  colors.emplace_back(u"緑",0x00,0x80,0x00);
  colors.emplace_back(u"常磐色",0x00,0x7B,0x49);
  colors.emplace_back(u"緑青色",0x47,0x84,0x5E);
  colors.emplace_back(u"千歳緑",0x2B,0x64,0x42);
  colors.emplace_back(u"深緑",0x00,0x59,0x31);
  colors.emplace_back(u"萌葱色",0x00,0x6C,0x4F);
  colors.emplace_back(u"若竹色",0x65,0xC2,0x94);
  colors.emplace_back(u"青磁色",0x60,0xB4,0x9F);
  colors.emplace_back(u"青竹色",0x72,0xBA,0xA7);
  colors.emplace_back(u"鉄色",0x00,0x53,0x44);
  colors.emplace_back(u"青緑",0x00,0xAE,0x95);
  colors.emplace_back(u"錆浅葱",0x50,0x8A,0x88);
  colors.emplace_back(u"水浅葱",0x70,0xA1,0x9F);
  colors.emplace_back(u"新橋色",0x5A,0xB9,0xC1);
  colors.emplace_back(u"浅葱",0x00,0xA4,0xAC);
  colors.emplace_back(u"白群",0x78,0xCD,0xD1);
  colors.emplace_back(u"納戸色",0x00,0x7C,0x8A);
  colors.emplace_back(u"甕覗き",0x94,0xD6,0xDA);
  colors.emplace_back(u"水色",0xAF,0xDF,0xE4);
  colors.emplace_back(u"藍鼠",0x5E,0x7C,0x85);
  colors.emplace_back(u"空色",0x90,0xD7,0xEC);
  colors.emplace_back(u"青",0x00,0x9A,0xD6);
  colors.emplace_back(u"藍色",0x0F,0x54,0x74);
  colors.emplace_back(u"濃藍",0x0D,0x2A,0x52);
  colors.emplace_back(u"勿忘草色",0x7B,0xBF,0xEA);
  colors.emplace_back(u"露草色",0x21,0xA0,0xDB);
  colors.emplace_back(u"縹色",0x26,0x7C,0xA7);
  colors.emplace_back(u"紺青",0x1A,0x44,0x72);
  colors.emplace_back(u"瑠璃色",0x2A,0x5C,0xAA);
  colors.emplace_back(u"瑠璃紺",0x22,0x4B,0x8F);
  colors.emplace_back(u"紺色",0x23,0x3B,0x6C);
  colors.emplace_back(u"杜若色",0x4B,0x5E,0xAA);
  colors.emplace_back(u"勝色",0x4D,0x52,0x69);
  colors.emplace_back(u"群青色",0x46,0x5D,0xAA);
  colors.emplace_back(u"鉄紺",0x0F,0x1A,0x45);
  colors.emplace_back(u"藤納戸",0x6A,0x6D,0xA9);
  colors.emplace_back(u"桔梗色",0x58,0x5E,0xAA);
  colors.emplace_back(u"紺藍",0x46,0x4A,0x88);
  colors.emplace_back(u"藤色",0xAF,0xB4,0xDB);
  colors.emplace_back(u"藤紫",0x9B,0x95,0xC9);
  colors.emplace_back(u"青紫",0x6F,0x51,0xA1);
  colors.emplace_back(u"菫色",0x70,0x5D,0xA8);
  colors.emplace_back(u"鳩羽色",0x96,0x87,0xA3);
  colors.emplace_back(u"菖蒲色",0x69,0x4D,0x9F);
  colors.emplace_back(u"江戸紫",0x6D,0x54,0x98);
  colors.emplace_back(u"紫",0x8B,0x52,0xA1);
  colors.emplace_back(u"古代紫",0x7D,0x54,0x84);
  colors.emplace_back(u"茄子紺",0x45,0x1F,0x49);
  colors.emplace_back(u"紫紺",0x41,0x14,0x45);
  colors.emplace_back(u"菖蒲色",0xC7,0x7E,0xB5);
  colors.emplace_back(u"牡丹色",0xE7,0x61,0xA4);
  colors.emplace_back(u"赤紫",0xF0,0x67,0xA6);
  colors.emplace_back(u"白",0xFF,0xFF,0xFB);
  colors.emplace_back(u"胡粉色",0xFF,0xFE,0xF9);
  colors.emplace_back(u"生成り色",0xF6,0xF5,0xEA);
  colors.emplace_back(u"象牙色",0xF3,0xEC,0xD8);
  colors.emplace_back(u"銀鼠",0xA1,0xA3,0xA6);
  colors.emplace_back(u"茶鼠",0x9D,0x90,0x87);
  colors.emplace_back(u"鼠色",0x8A,0x8C,0x8E);
  colors.emplace_back(u"利休鼠",0x54,0x74,0x5C);
  colors.emplace_back(u"鉛色",0x72,0x77,0x7B);
  colors.emplace_back(u"灰色",0x71,0x73,0x75);
  colors.emplace_back(u"煤竹色",0x68,0x4D,0x44);
  colors.emplace_back(u"黒茶",0x4B,0x2D,0x1C);
  colors.emplace_back(u"墨",0x33,0x31,0x32);
  colors.emplace_back(u"黒",0x0D,0x01,0x16);
  colors.emplace_back(u"鉄黒",0x28,0x19,0x14);
  colors.emplace_back(u"金色",0xFF,0xD7,0x00);
  colors.emplace_back(u"銀色",0xC0,0xC0,0xC0);
  colors.emplace_back(u"ローズレッド",0xF0,0x5F,0x8D);
  colors.emplace_back(u"ローズピンク",0xF5,0x98,0x9D);
  colors.emplace_back(u"コチニールレッド",0xC5,0x32,0x58);
  colors.emplace_back(u"ルビーレッド",0xCF,0x35,0x5D);
  colors.emplace_back(u"ワインレッド",0x8D,0x30,0x43);
  colors.emplace_back(u"バーガンディー",0x56,0x1B,0x24);
  colors.emplace_back(u"オールドローズ",0xD5,0x84,0x8C);
  colors.emplace_back(u"ローズ",0xEF,0x48,0x68);
  colors.emplace_back(u"ストロベリー",0xD8,0x38,0x61);
  colors.emplace_back(u"コーラルレッド",0xF8,0xA7,0xA0);
  colors.emplace_back(u"ピンク",0xF8,0xAB,0xA6);
  colors.emplace_back(u"ボルドー",0x5F,0x16,0x1D);
  colors.emplace_back(u"ベビーピンク",0xFE,0xE3,0xD7);
  colors.emplace_back(u"ポピーレッド",0xF0,0x4E,0x58);
  colors.emplace_back(u"シグナルレッド",0xEF,0x40,0x50);
  colors.emplace_back(u"カーマイン",0xD7,0x13,0x45);
  colors.emplace_back(u"レッド",0xF1,0x5B,0x5B);
  colors.emplace_back(u"トマトレッド",0xF1,0x5B,0x55);
  colors.emplace_back(u"マルーン",0x69,0x1C,0x1C);
  colors.emplace_back(u"バーミリオン",0xF2,0x66,0x49);
  colors.emplace_back(u"スカーレット",0xF1,0x5B,0x47);
  colors.emplace_back(u"テラコッタ",0xB6,0x66,0x55);
  colors.emplace_back(u"サーモンピンク",0xF9,0xAA,0x8F);
  colors.emplace_back(u"シェルピンク",0xFD,0xDD,0xCD);
  colors.emplace_back(u"ネールピンク",0xFD,0xDA,0xC5);
  colors.emplace_back(u"チャイニーズレッド",0xF4,0x7A,0x4D);
  colors.emplace_back(u"キャロットオレンジ",0xDD,0x6B,0x3D);
  colors.emplace_back(u"バーントシェンナ",0xAB,0x52,0x39);
  colors.emplace_back(u"チョコレート",0x60,0x2D,0x1D);
  colors.emplace_back(u"ココアブラウン",0x87,0x56,0x47);
  colors.emplace_back(u"ピーチ",0xFD,0xD1,0xB0);
  colors.emplace_back(u"ローシェンナ",0xD5,0x7A,0x3D);
  colors.emplace_back(u"オレンジ",0xF5,0x82,0x20);
  colors.emplace_back(u"ブラウン",0x87,0x5C,0x44);
  colors.emplace_back(u"アプリコット",0xFA,0xB2,0x80);
  colors.emplace_back(u"タン",0xB8,0x76,0x44);
  colors.emplace_back(u"マンダリンオレンジ",0xED,0x9E,0x31);
  colors.emplace_back(u"コルク",0xBA,0x8D,0x65);
  colors.emplace_back(u"エクルベージュ",0xF4,0xE0,0xC4);
  colors.emplace_back(u"ゴールデンイエロー",0xFB,0xB1,0x61);
  colors.emplace_back(u"マリーゴールド",0xF7,0x94,0x28);
  colors.emplace_back(u"バフ",0xC6,0x9E,0x6E);
  colors.emplace_back(u"アンバー",0xB9,0x7E,0x54);
  colors.emplace_back(u"ブロンズ",0x9A,0x62,0x29);
  colors.emplace_back(u"ベージュ",0xE7,0xD0,0xA9);
  colors.emplace_back(u"イエローオーカー",0xBB,0x8B,0x38);
  colors.emplace_back(u"バーントアンバー",0x76,0x57,0x3C);
  colors.emplace_back(u"セピア",0x6B,0x4A,0x2B);
  colors.emplace_back(u"カーキ",0xB1,0x8B,0x55);
  colors.emplace_back(u"ブロンド",0xF3,0xD1,0x8A);
  colors.emplace_back(u"ネープルスイエロー",0xFF,0xD1,0x67);
  colors.emplace_back(u"レグホーン",0xFF,0xE8,0xAF);
  colors.emplace_back(u"ローアンバー",0x89,0x65,0x2B);
  colors.emplace_back(u"クロムイエロー",0xFF,0xCB,0x05);
  colors.emplace_back(u"イエロー",0xFF,0xD8,0x00);
  colors.emplace_back(u"クリームイエロー",0xFF,0xED,0xB3);
  colors.emplace_back(u"ジョンブリアン",0xFF,0xD8,0x00);
  colors.emplace_back(u"カナリーイエロー",0xFF,0xEF,0x6C);
  colors.emplace_back(u"オリーブドラブ",0x6E,0x63,0x39);
  colors.emplace_back(u"オリーブ",0x6D,0x5F,0x1A);
  colors.emplace_back(u"レモンイエロー",0xFF,0xF4,0x50);
  colors.emplace_back(u"オリーブグリーン",0x57,0x61,0x28);
  colors.emplace_back(u"シャトルーズグリーン",0xD3,0xE1,0x73);
  colors.emplace_back(u"リーフグリーン",0x91,0xBA,0x58);
  colors.emplace_back(u"グラスグリーン",0x6D,0x83,0x46);
  colors.emplace_back(u"アイビーグリーン",0x48,0x7C,0x38);
  colors.emplace_back(u"アップルグリーン",0x96,0xC7,0x8C);
  colors.emplace_back(u"ミントグリーン",0x90,0xCE,0x9C);
  colors.emplace_back(u"グリーン",0x00,0xB1,0x6B);
  colors.emplace_back(u"コバルトグリーン",0x40,0xBA,0x8D);
  colors.emplace_back(u"エメラルドグリーン",0x00,0xB3,0x79);
  colors.emplace_back(u"マラカイトグリーン",0x00,0x9D,0x5B);
  colors.emplace_back(u"ボトルグリーン",0x00,0x57,0x39);
  colors.emplace_back(u"フォレストグリーン",0x26,0x89,0x6D);
  colors.emplace_back(u"ビリジアン",0x00,0x89,0x6B);
  colors.emplace_back(u"ビリヤードグリーン",0x00,0x5D,0x4D);
  colors.emplace_back(u"シーグリーン",0x8A,0xC7,0x5A);
  colors.emplace_back(u"ピーコックグリーン",0x00,0xAE,0x9D);
  colors.emplace_back(u"ナイルブルー",0x27,0x9E,0x91);
  colors.emplace_back(u"ピーコックブルー",0x00,0xA2,0xA4);
  colors.emplace_back(u"ターコイズブルー",0x00,0xB7,0xCE);
  colors.emplace_back(u"マリンブルー",0x00,0x68,0x81);
  colors.emplace_back(u"ホリゾンブルー",0x92,0xD7,0xE7);
  colors.emplace_back(u"シアン",0x00,0xAE,0xEF);
  colors.emplace_back(u"スカイブルー",0x90,0xD7,0xEC);
  colors.emplace_back(u"セルリアンブルー",0x00,0x8C,0xAF);
  colors.emplace_back(u"ベビーブルー",0xAD,0xE0,0xEE);
  colors.emplace_back(u"サックスブルー",0x2E,0x87,0xA1);
  colors.emplace_back(u"ブルー",0x00,0x7D,0xC5);
  colors.emplace_back(u"コバルトブルー",0x00,0x72,0xBC);
  colors.emplace_back(u"アイアンブルー",0x1A,0x44,0x72);
  colors.emplace_back(u"プルシアンブルー",0x1A,0x44,0x72);
  colors.emplace_back(u"ミッドナイトブルー",0x00,0x1F,0x43);
  colors.emplace_back(u"ヒヤシンス",0x65,0x9A,0xD2);
  colors.emplace_back(u"ネイビーブルー",0x1F,0x2F,0x54);
  colors.emplace_back(u"ウルトラマリン",0x46,0x5D,0xAA);
  colors.emplace_back(u"オリエンタルブルー",0x31,0x55,0xA6);
  colors.emplace_back(u"ウィスタリア",0x86,0x89,0xC3);
  colors.emplace_back(u"パンジー",0x58,0x3F,0x99);
  colors.emplace_back(u"ヘリオトロープ",0x8A,0x77,0xB7);
  colors.emplace_back(u"バイオレット",0x71,0x59,0xA6);
  colors.emplace_back(u"ラベンダー",0xB7,0xA8,0xCC);
  colors.emplace_back(u"モーブ",0x8D,0x64,0xAA);
  colors.emplace_back(u"ライラック",0xC7,0xB2,0xD6);
  colors.emplace_back(u"オーキッド",0xD2,0xA3,0xCB);
  colors.emplace_back(u"パープル",0x95,0x6D,0xAF);
  colors.emplace_back(u"マゼンタ",0xEC,0x00,0x8C);
  colors.emplace_back(u"チェリーピンク",0xF1,0x72,0xA3);
  colors.emplace_back(u"ホワイト",0xFF,0xFF,0xFB);
  colors.emplace_back(u"スノーホワイト",0xF4,0xFB,0xFE);
  colors.emplace_back(u"アイボリー",0xF3,0xEC,0xD8);
  colors.emplace_back(u"スカイグレイ",0xBF,0xC5,0xCA);
  colors.emplace_back(u"パールグレイ",0xBD,0xBD,0xB7);
  colors.emplace_back(u"シルバーグレイ",0xA1,0xA3,0xA6);
  colors.emplace_back(u"アッシュグレイ",0x94,0x95,0x93);
  colors.emplace_back(u"ローズグレイ",0x94,0x87,0x79);
  colors.emplace_back(u"グレイ",0x77,0x78,0x7B);
  colors.emplace_back(u"スチールグレイ",0x6C,0x67,0x6E);
  colors.emplace_back(u"スレートグレイ",0x5D,0x5D,0x63);
  colors.emplace_back(u"チャコールグレイ",0x4C,0x44,0x4D);
  colors.emplace_back(u"ランプブラック",0x22,0x18,0x16);
  colors.emplace_back(u"ブラック",0x0D,0x01,0x16);
}




