#include"paper.hpp"
#include"dottle.hpp"
#include<algorithm>




Chunk
Paper::
make_chunk(const SDL_Rect&  rect, CopyType  type) const
{
  int  w = rect.w;
  int  h = rect.h;

    switch(type)
    {
      case(CPY_revolve_left ):
      case(CPY_revolve_right):
        w = std::min(w,h);
        h = std::min(w,h);
        break;
      default:;
    };


  Chunk  chk(w,h);

    switch(type)
    {
      case(CPY_nochange):
          rep(y,h){
          rep(x,w){
            chk.put(x,y,get(rect.x+x,rect.y+y));
          }}
        break;
      case(CPY_mirror_upper):
          rep(y,h/2){
          rep(x,w  ){
            chk.put(x,(       (  y)),get(rect.x+x,rect.y+y));
            chk.put(x,(h-(1+y)),get(rect.x+x,rect.y+y));
          }}
        break;
      case(CPY_mirror_left):
          rep(y,h  ){
          rep(x,w/2){
            chk.put((       (  x)),y,get(rect.x+x,rect.y+y));
            chk.put((w-(1+x)),y,get(rect.x+x,rect.y+y));
          }}
        break;
      case(CPY_revolve_left):
          rep(y,h){
          rep(x,w){
            chk.put(y,h-(1+x),get(rect.x+x,rect.y+y));
          }}
        break;
      case(CPY_revolve_right):
          rep(y,h){
          rep(x,w){
            chk.put(w-(1+y),x,get(rect.x+x,rect.y+y));
          }}
        break;
      case(CPY_reverse_horizontal):
          rep(y,h){
          rep(x,w){
            chk.put(x,(h-(1+y)),get(rect.x+x,rect.y+y));
          }}
        break;
      case(CPY_reverse_vertical):
          rep(y,h){
          rep(x,w){
            chk.put((w-(1+x)),y,get(rect.x+x,rect.y+y));
          }}
        break;
    }


  return std::move(chk);
}




