#include"paper.hpp"




void
Paper::
shift_up(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  store_string();

    rep(y,rect.h-1){
    rep(x,rect.w  ){
      auto&  src = pixels[rect.y+(y+1)][rect.x+x];

      put(rect.x+x,rect.y+y,src);
    }}


  store_stroke();
}


void
Paper::
shift_left(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  store_string();

    rep(y,rect.h  ){
    rep(x,rect.w-1){
      auto&  src = pixels[rect.y+y][rect.x+(x+1)];

      put(rect.x+x,rect.y+y,src);
    }}


  store_stroke();
}


void
Paper::
shift_right(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  store_string();

     rep(y,rect.h  ){
    rrep(x,rect.w-1){
      auto&  src = pixels[rect.y+y][rect.x+x];

      put(rect.x+(x+1),rect.y+y,src);
    }}


  store_stroke();
}


void
Paper::
shift_down(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  store_string();

    rrep(y,rect.h-1){
     rep(x,rect.w  ){
      auto&  src = pixels[rect.y+y][rect.x+x];

      put(rect.x+x,rect.y+(y+1),src);
    }}


  store_stroke();
}




void
Paper::
mirror_left(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  auto  chk = make_chunk(rect,CPY_mirror_left);

  store_string();


  put(rect.x,rect.y,chk);

  store_stroke();
}


void
Paper::
mirror_upper(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  auto  chk = make_chunk(rect,CPY_mirror_upper);

  store_string();


  put(rect.x,rect.y,chk);

  store_stroke();
}




void
Paper::
revolve_left(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  auto  chk = make_chunk(rect,CPY_revolve_left);

  store_string();


  put(rect.x,rect.y,chk);

  store_stroke();
}


void
Paper::
revolve_right(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  auto  chk = make_chunk(rect,CPY_revolve_right);

  store_string();


  put(rect.x,rect.y,chk);

  store_stroke();
}




void
Paper::
reverse_h(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  auto  chk = make_chunk(rect,CPY_reverse_horizontal);

  store_string();


  put(rect.x,rect.y,chk);

  store_stroke();
}


void
Paper::
reverse_v(const TwoPoints&  points)
{
  const auto  rect = make_rect(points);

  auto  chk = make_chunk(rect,CPY_reverse_vertical);

  store_string();


  put(rect.x,rect.y,chk);

  store_stroke();
}




