#ifndef OAT_NODE_HPP
#define OAT_NODE_HPP


#include"widget.hpp"
#include<memory>
#include<list>


namespace oat{




class  Root;


class
Node: public  Widget
{
protected:
  Root*  root;

  std::list<Widget*>  children;

public:
  Node();


  Root*  get_root(            );
  void   set_root(Root*  _root);

  void  join_to(Node&  _parent, int  x, int  y);

  void  cleanup(int  x, int  y);

  void  insert(Widget*  wid                );
  void  insert(Widget*  wid, int  x, int  y);

  void  erase(WidgetID  id);

  void  process(Mouse&  mouse);

  void    draw();
  void  redraw();

  void  destruct();

};


}




#endif




